Payment and provisioning status
Request, parameters and responses for this API endpoint.
/api/v1/customer/orders/{id}Overview
This endpoint requires an active API key with read access.
Headers & parameters
AuthorizationBearer $SYSTEY_API_KEY · required
idpath · required{"type":"string","format":"uuid"}
Example request
Replace placeholders with your own values. Persist $REQUEST_UUID before a mutation if this endpoint requires an Idempotency-Key.
curl -i -X GET "https://systey.com/api/v1/customer/orders/<resource UUID>" \
-H "Authorization: Bearer $SYSTEY_API_KEY"Response
| Field | Type | Required |
|---|---|---|
data | object | Yes |
data.iduuid | string | Yes |
data.number | integer | Yes |
data.kind"INITIAL" | "RENEWAL" | string | Yes |
data.name | string | Yes |
data.category"VPS" | "DOMAIN" | "WEBSPACE" | "DEVELOPMENT" | "MANAGED_SERVICE" | string | Yes |
data.status"PENDING_PAYMENT" | "PAID" | "PROVISIONING" | "FULFILLED" | "CANCELLED" | "REVIEW_REQUIRED" | string | Yes |
data.priceCents | integer | Yes |
data.setupCents | integer | Yes |
data.taxCents | integer | Yes |
data.totalCents | integer | Yes |
data.billingCycle"ONCE" | "MONTHLY" | "YEARLY" | string | Yes |
data.paymentMethod"WALLET" | "MOLLIE" | string | Yes |
data.commercialModel"CONTRACT" | "PREPAID" | string | Yes |
data.renewalMode"NONE" | "AUTOMATIC" | "CUSTOMER" | string | Yes |
data.sandbox | boolean | Yes |
data.createdAtdate-time | string | Yes |
data.paidAtdate-time | null | string | null | Yes |
data.fulfilledAtdate-time | null | string | null | Yes |
data.productobject | null | object | null | Yes |
data.product.iduuid | string | Yes |
data.paymentobject | null | object | null | Yes |
data.payment.iduuid | string | Yes |
data.payment.status | string | Yes |
Errors
Error responses contain error and optionally message and details. Rate limit: 120 requests per minute per key. On HTTP 429 respect Retry-After.

